import { roleMap } from '../lti/util.js';
export class LTIMessage {
    raw;
    resource_link_id;
    roles;
    constructor(raw) {
        this.raw = raw;
        this.resource_link_id =
            raw['https://purl.imsglobal.org/spec/lti/claim/resource_link'].id;
        this.roles = new Set(roleMap(raw['https://purl.imsglobal.org/spec/lti/claim/roles']));
    }
}
//# sourceMappingURL=lti_message.js.map